import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/join/list',
    method: 'get',
    params: query
  })
}

export function pass(data) {
  return request({
    url: '/join/pass',
    method: 'post',
    params: data
  })
}

export function join(data) {
  return request({
    url: '/join/join',
    method: 'post',
    data
  })
}

export function reject(data) {
  return request({
    url: '/join/reject',
    method: 'post',
    data
  })
}

export function shopList(query) {
  return request({
    url: '/shop/selectAllSelf',
    method: 'get',
    params: query
  })
}